Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123744 - Mercurial User Name options does not work
Mercurial User Name options does not work
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All Windows 3.1/NT
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 11:24 UTC by novakm
Modified: 2008-01-07 07:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (2.15 KB, text/plain)
2007-12-10 16:49 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description novakm 2007-12-10 11:24:36 UTC
If you change Mercurial User Name in Tools | Options | VCS | Mercurial, it is saved (after reopening dialog there is the
new value), but if you commit and then invoke Show History, the old name is still used.

Mercurial Client version 0.9.5

Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-b05
System: Windows Vista version 6.0 running on x86; Cp1252; en_GB (nb)
Userdir: D:\install\6.0_200711261600\userdir
Comment 1 John Rice 2007-12-10 16:49:18 UTC
Created attachment 54098 [details]
Proposed patch
Comment 2 John Rice 2007-12-10 16:50:52 UTC
This patch will now allow both Global Option and Mercurial Project Property settings for username to take effect on
Commit. The Project settings will override the Global settings if they are set.
Comment 3 John Rice 2007-12-11 22:19:41 UTC
IDE:-------------------------------------------------
IDE: [11/12/07 22:19] Committing started
Checking in HgCommand.java;
/cvs/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java,v  <--  HgCommand.java
new revision: 1.62; previous revision: 1.61
done
IDE: [11/12/07 22:19] Committing finished
IDE: [11/12/07 22:19] Diffing finished
Comment 4 novakm 2008-01-07 07:57:38 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo